Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans.xml.stream
Class XMLStreamException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.xmlbeans.xml.stream.XMLStreamException

All Implemented Interfaces:
  java.io.Serializable, NestedThrowable

Direct Known Subclasses:
  XMLStreamValidationException

    public class XMLStreamException

extends java.io.IOException
implements NestedThrowable

The base exception for unexpected input during XML handling

Since:
  Weblogic XML Input Stream 1.0
Version:
  1.0
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.xmlbeans.xml.stream.utils.NestedThrowable
`NestedThrowable.Util`

Field Summary
`protected java.lang.Throwable` | `th`

Constructor Summary
`XMLStreamException()`
`XMLStreamException(java.lang.String msg)`
`XMLStreamException(java.lang.String msg, java.lang.Throwable th)`
`XMLStreamException(java.lang.Throwable th)`

Method Summary
`java.lang.String` | `getMessage()`
`java.lang.Throwable` | `getNested()` Gets the nested Throwable.
`java.lang.Throwable` | `getNestedException()` Gets the nested exception.
`void` | `printStackTrace()` Prints the stack trace associated with this exception and its nested exception to System.err.
`void` | `printStackTrace(java.io.PrintStream s)` Prints the stack trace associated with this exception and its nested exception.
`void` | `printStackTrace(java.io.PrintWriter w)` Prints the stack trace associated with this exception and its nested exception.
`void` | `superPrintStackTrace(java.io.PrintStream ps)` Call super.printStackTrace().
`void` | `superPrintStackTrace(java.io.PrintWriter pw)` Call super.printStackTrace().
`java.lang.String` | `superToString()` Call super.toString().
`java.lang.String` | `toString()` Prints the exception message and its nested exception message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### th

    protected java.lang.Throwable th

Constructor Detail

### XMLStreamException

    public XMLStreamException()

### XMLStreamException

    public XMLStreamException(java.lang.String msg)

### XMLStreamException

    public XMLStreamException(java.lang.Throwable th)

### XMLStreamException

    public XMLStreamException(java.lang.String msg,
                              java.lang.Throwable th)

Method Detail

### getNestedException

    public java.lang.Throwable getNestedException()

  Gets the nested exception.

  Returns:
    Nested exception

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getNested

    public java.lang.Throwable getNested()

  Gets the nested Throwable.

  Specified by:
    `getNested` in interface `NestedThrowable`
  Returns:
    Nested exception

### superToString

    public java.lang.String superToString()

  Description copied from interface: `NestedThrowable`
  Call super.toString(). [Kludge but necessary.]

  Specified by:
    `superToString` in interface `NestedThrowable`

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintStream ps)

  Description copied from interface: `NestedThrowable`
  Call super.printStackTrace(). [Kludge but necessary.]

  Specified by:
    `superPrintStackTrace` in interface `NestedThrowable`

### superPrintStackTrace

    public void superPrintStackTrace(java.io.PrintWriter pw)

  Description copied from interface: `NestedThrowable`
  Call super.printStackTrace(). [Kludge but necessary.]

  Specified by:
    `superPrintStackTrace` in interface `NestedThrowable`

### toString

    public java.lang.String toString()

  Prints the exception message and its nested exception message.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    String representation of the exception

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints the stack trace associated with this exception and its nested exception.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - PrintStream

### printStackTrace

    public void printStackTrace(java.io.PrintWriter w)

  Prints the stack trace associated with this exception and its nested exception.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - PrintStream

### printStackTrace

    public void printStackTrace()

  Prints the stack trace associated with this exception and its nested exception to System.err.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - PrintStream

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD